# Manage existing plugins

## Manage your plugins

In the Computing console, in the Plugin section, you can find all the plugins created by the selected organisation. Note that mediarithmics plugins aren't displayed in the list even if you can access them in Navigator.&#x20;

## **Retrieving Plugin Information**

### **Via API**

To fetch details of a specific plugin, use:

<mark style="color:blue;">`GET`</mark> `https://api.mediarithmics.com/v1/plugins/:plugin_id`

**Path parameters**

| Name       | Type   | Description                      |
| ---------- | ------ | -------------------------------- |
| plugin\_id | string | The id of the plugin to retrieve |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "ok",
    "data": {
        "id": "xxxx",
        "organisation_id": "1",
        "plugin_type": "AUDIENCE_SEGMENT_EXTERNAL_FEED",
        "group_id": "com.mediarithmics.audience.externalfeed",
        "artifact_id": "google-ddp-connector",
        "current_version_id": "1234",
        "archived": false
    }
}

```

{% endtab %}
{% endtabs %}

## Retrieve properties

### Via UI

All the plugin properties are displayed in the section **Properties** of the plugin version.&#x20;

### Via API

<mark style="color:blue;">`GET`</mark> `https://api.mediarithmics.com/v1/plugins/:plugin_id/versions/:version_id/properties`

#### Path Parameters

| Name        | Type    | Description            |
| ----------- | ------- | ---------------------- |
| version\_id | integer | The ID of your version |
| plugin\_id  | integer | The ID of your plugin  |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "ok",
    "data": [
        {
            "technical_name": "segment_name",
            "value": {
                "value": ""
            },
            "property_type": "STRING",
            "origin": "PLUGIN",
            "writable": true,
            "deletable": false
        },
        {
            "technical_name": "segment_description",
            "value": {
                "value": ""
            },
            "property_type": "STRING",
            "origin": "PLUGIN",
            "writable": true,
            "deletable": false
        },
        {
            "technical_name": "customer_user_identifier",
            "value": {
                "value": ""
            },
            "property_type": "STRING",
            "origin": "PLUGIN",
            "writable": true,
            "deletable": false
        },
        {
            "technical_name": "provider",
            "value": {
                "value": "mediarithmics"
            },
            "property_type": "STRING",
            "origin": "PLUGIN_STATIC",
            "writable": false,
            "deletable": false
        },
        {
            "technical_name": "name",
            "value": {
                "value": "Beeswax Audience Feed"
            },
            "property_type": "STRING",
            "origin": "PLUGIN_STATIC",
            "writable": false,
            "deletable": false
        }
    ],
    "count": 5
}
```

{% endtab %}
{% endtabs %}

## Check external services

<mark style="color:blue;">`GET`</mark> `https://api.mediarithmics.com/v1/plugins/:pluginId/versions/:versionId/external_services`

#### Path Parameters

| Name        | Type   | Description            |
| ----------- | ------ | ---------------------- |
| plugin\_id  | string | The ID of your plugin  |
| version\_id | string | The ID of your version |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "ok",
    "data": [
        {
            "id": "92",
            "url": "https://my.api.domain.com/",
            "technical_name": "technical_name",
            "enabled": true,
            "auth_token": null
        }
    ],
    "count": 1
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.mediarithmics.io/advanced-usages/plugins/manage-existing-plugins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
